Subject: Re: [PATCH] Making CFLAGS compilant with GNU Coding Standards

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Aug 2005 13:53:24 -0700

Pavel Roskin <[email-masked]> writes:

> Quoting GNU Coding Standards ("info standards"):
>
> "If there are C compiler options that _must_ be used for proper
> compilation of certain files, do not include them in `CFLAGS'.  Users
> expect to be able to specify `CFLAGS' freely themselves."

Quoting Documentation/CodingStyle:

    This is a short document describing the preferred coding style for the
    linux kernel.  Coding style is very personal, and I won't _force_ my
    views on anybody, but this is what goes for anything that I have to be
    able to maintain, and I'd prefer it for most other things too.  Please
    at least consider the points made here.

    First off, I'd suggest printing out a copy of the GNU coding
    standards, and NOT read it.  Burn them, it's a great symbolic
    gesture.

This was only a tongue-in-cheek comment ;-).

Seriously, I do not intend to discarded this patch, but I am
currently not taking Makefile patches unless they fix real
breakage.

I do want to revisit Makefile issues after 0.99.4, along with
the changes Pasky sent several days ago.  Please remind me about
them after Wednesday.